
package de.ivu.elect.presentation.wahl.menu;

import javax.annotation.Nullable;
import javax.inject.Named;

import de.ivu.elect.business.wahl.entity.NlWahlPhase;
import de.ivu.elect.business.wahl.entity.Wahl;

@Named(NlWasInitialWahlphaseSchrittMenuItem.COMPONENT_NAME)
public class NlWasInitialWahlphaseSchrittMenuItem extends AbstractNlWasWahlphaseSchrittMenuItem {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "nlWasInitialWahlphaseSchrittMenuItem";

  public NlWasInitialWahlphaseSchrittMenuItem() {
    super();
  }

  @Override
  protected NlWahlPhase getZielWahlPhase() {
    return NlWahlPhase.INITIAL;
  }

  @Override
  public String getLabelMsgKey(Wahl wahl) {
    return "nl.wahlphase.schritt.initial";
  }

  @Nullable
  @Override
  public String getDialogName() {
    if (isBefore()) {
      return "initial-zurueck";
    }

    return super.getDialogName();
  }

  @Override
  protected String getDialogHeaderMsgKey(Wahl wahl) {
    return "wahl.prozess.initial-zurueck.header";
  }

  @Override
  protected String getDialogMessageMsgKey(Wahl wahl) {
    return "wahl.prozess.initial-zurueck.message";
  }

  @Override
  protected String getDialogActionLabelMsgKey(Wahl wahl) {
    return "wahl.prozess.initial-zurueck.action";
  }

  @Override
  protected boolean isPhaseDarfAktivWerdenInternal() {
    return true;
  }
}
